body {
    overflow-x: hidden;
}

/* Sidebar */
#sidebar {
    width: 240px;
    min-height: 100vh;
    background: #212529;
    transition: all 0.3s ease;
}

#sidebar.collapsed {
    width: 70px;
}

#sidebar .nav-link {
    color: #adb5bd;
    white-space: nowrap;
    display: flex;
    align-items: center;
    transition: all 0.3s ease;
}

#sidebar:not(.collapsed) .nav-link:hover {
    color: #fff;
    background: #343a40;
}

#sidebar .nav-link span {
    transition: opacity 0.3s;
}

#sidebar.collapsed .nav-link span {
    opacity: 0;
}

/* Content */
#content {
    width: 100%;
    padding: 20px;
    transition: margin-left 0.3s ease;
}

/* Sidebar icons alignment */
.nav-link i {
    margin-right: 10px;
}
/* Submenu */
.submenu {
    display: none;
}

.submenu.show {
    display: block;
}

/* Chevron rotation */
.submenu-toggle .bi-chevron-down {
    transition: transform 0.3s ease;
}

.submenu-toggle.active .bi-chevron-down {
    transform: rotate(180deg);
}

#sidebar.collapsed .submenu-toggle .bi-chevron-down {
    display: none;
}


/* Active states */
#sidebar .nav-link.active {
    background: #0d6efd;
    color: #fff;
}

#sidebar.collapsed .nav-link.active {
    width: 45px;
}

#sidebar .submenu .nav-link.active {
    background: #495057;
    color: #fff;
}



#sidebar.collapsed .nav-link span,
#sidebar.collapsed .bi-chevron-down {
    display: none;
}

#sidebar.collapsed .nav-link.active {
    background: none !important;
}

#sidebar.collapsed .nav-link.active i {
    color: #0d6efd;
    background: rgba(13,110,253,.15);
    padding: 10px;
    border-radius: 50%;
}
